Loading...
Searching...
No Matches
fourdst::config::validate::ConfigValidator< StructType > Struct Template Reference

`#include <validate.h>`

## Classes

struct | TupleChecker
struct | TupleChecker< rfl::NamedTuple< Fields... > >

## Public Types

using | NT = rfl::named_tuple_t<StructType>

## Static Public Member Functions

static void | check (const toml::table *tbl, const std::string &current_path, std::vector< std::string > &missing)

## Static Private Member Functions

template<typename TupleType>
static void | check_tuple (const toml::table *tbl, const std::string &path, std::vector< std::string > &missing)
template<typename Field>
static void | check_field (const toml::table *tbl, const std::string &path, std::vector< std::string > &missing)

## Member Typedef Documentation

## NT

template<typename StructType>

using fourdst::config::validate::ConfigValidator< StructType >::NT = rfl::named_tuple_t<StructType>

## Member Function Documentation

## check()

template<typename StructType>

static void fourdst::config::validate::ConfigValidator< StructType >::check | ( | const toml::table * | tbl,
|  | const std::string & | current_path,
|  | std::vector< std::string > & | missing )

inlinestatic

## check_field()

template<typename StructType>
template<typename Field>

static void fourdst::config::validate::ConfigValidator< StructType >::check_field | ( | const toml::table * | tbl,
|  | const std::string & | path,
|  | std::vector< std::string > & | missing )

inlinestaticprivate

## check_tuple()

template<typename StructType>
template<typename TupleType>

static void fourdst::config::validate::ConfigValidator< StructType >::check_tuple | ( | const toml::table * | tbl,
|  | const std::string & | path,
|  | std::vector< std::string > & | missing )

inlinestaticprivate

The documentation for this struct was generated from the following file:

- src/config/include/fourdst/config/validate.h